Create an Account
curl --request POST \
--url https://api.domo.com/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": {
"id": "<string>",
"properties": {
"password": "<string>",
"authenticateBy": "<string>",
"url": "<string>",
"username": "<string>"
}
}
}
'import requests
url = "https://api.domo.com/v1/accounts"
payload = {
"name": "<string>",
"type": {
"id": "<string>",
"properties": {
"password": "<string>",
"authenticateBy": "<string>",
"url": "<string>",
"username": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: {
id: '<string>',
properties: {
password: '<string>',
authenticateBy: '<string>',
url: '<string>',
username: '<string>'
}
}
})
};
fetch('https://api.domo.com/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"valid": true,
"type": {
"id": "<string>",
"properties": {}
}
}Account API
Create An Account
When creating an Account, you must specify the Account Type properties. The Account Type properties are different, depending on the type of Account you are trying to create.
To retrieve which Account Type properties to specify, use the GET /v1/accounts/account-types/ endpoint.
POST
/
v1
/
accounts
Create an Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The name of the Account
The Account Type object indicating the type of Account
⌘I